apiVersion: apps/v1
kind: Deployment
metadata:
  name: {{ .Values.pyApp.name }}
  namespace: {{ .Release.Namespace }}
  labels:
    app.kubernetes.io/name: {{ .Values.pyApp.name }}
    helm.sh/chart: {{ .Chart.Name }}-{{ .Chart.Version | replace "+" "_" }}
    app.kubernetes.io/managed-by: {{ .Release.Service }}
    app.kubernetes.io/instance: {{ .Release.Name }}
    app.kubernetes.io/version: {{ .Chart.AppVersion }}
spec:
  selector:
    matchLabels:
      app: {{ .Values.pyApp.name }}
  replicas: 1
  strategy:
    type: Recreate
  template:
    metadata:
      labels:
        app: {{ .Values.pyApp.name }}
        helm.sh/chart: {{ .Chart.Name }}-{{ .Chart.Version | replace "+" "_" }}
        app.kubernetes.io/managed-by: {{ .Release.Service }}
        app.kubernetes.io/instance: {{ .Release.Name }}
        app.kubernetes.io/version: {{ .Chart.AppVersion }}
      annotations:
        gitlab_job: "{{ .Values.pyApp.gitlab_job }}"
    spec:
      containers:
        - name: {{ .Values.pyApp.name }}
          image: {{ .Values.pyApp.image }}:{{ .Values.pyApp.tag }}
          imagePullPolicy: Always
          ports:
            - containerPort: {{ .Values.pyApp.port }}
              protocol: TCP
          readinessProbe:
            tcpSocket:
              port: {{ .Values.pyApp.port }}
            initialDelaySeconds: 10
            periodSeconds: 10
            successThreshold: 1
            failureThreshold: 10
          livenessProbe:
            tcpSocket:
              port: {{ .Values.pyApp.port }}
            initialDelaySeconds: 30
            periodSeconds: 30
            successThreshold: 1
            failureThreshold: 5
          resources: 
             requests:
                memory: {{ .Values.pyApp.memory }}
                cpu: '{{ .Values.pyApp.cpu }}'
             limits:
                memory: {{ .Values.pyApp.memory }}
                cpu: '{{ .Values.pyApp.cpu }}'
      restartPolicy: Always
      imagePullSecrets:
        - name: some-tech-user-from-secret